
#include "brush.h"

class CWorldSpawn: public CBrushEntity
{
public:
	virtual void Precache ( void ) override;
	virtual void Spawn( void ) override;
	virtual void ReadParameter( const char *szName, const char *szValue ) override;
	virtual void Destroy( void ) override;
	virtual void Think( float fDelta ) override;
};

void CWorldSpawn::Precache()
{
	CBrushEntity::Precache();
}

void CWorldSpawn::Spawn()
{
	CBrushEntity::Spawn();
};

void CWorldSpawn::ReadParameter( const char *szName, const char *szValue )
{
	CBrushEntity::ReadParameter(szName, szValue);
}

void CWorldSpawn::Destroy()
{
	CBrushEntity::Destroy();
}

void CWorldSpawn::Think( float fDelta )
{
	CBrushEntity::Think(fDelta);
}

DECLARE_ENTITY(worldspawn, CWorldSpawn)
